<f:layout name="Default"/>
<f:section name="Border">

    <f:cObject typoscriptObjectPath="lib.dynamicContent" data="{pageUid: '{data.uid}', colPos: '3', slide: '{theme.pagelayout.{pagelayout}.colPos.3.slide = -1}'}" />

</f:section>
<f:section name="Main">
    <f:cObject typoscriptObjectPath="lib.dynamicContent" data="{pageUid: '{data.uid}', colPos: '8', slide: '{theme.pagelayout.{pagelayout}.colPos.8.slide = -1}'}" />
    <div class="postpage">

            <f:render arguments="{listType: 'blog_header'}" section="renderPlugin"/>

            <div class="post__content" role="main">
                <article>
                    <f:cObject data="{colPos: '0'}" typoscriptObjectPath="lib.dynamicContent"/>
                </article>
                <f:render arguments="{listType: 'blog_footer'}" section="renderPlugin"/>

            </div>

            <div
                class="frame frame-default frame-type-text frame-layout-0 frame-background-author frame-no-backgroundimage frame-space-before-none frame-space-after-none"
                id="c-blog-authors-frame">

                <div class="frame-container">

                    <div class="frame-inner">
                        <div class="post__content" role="main">
                            <f:render arguments="{listType: 'blog_authors'}" section="renderPlugin"/>
                        </div>

                    </div>
                </div>
            </div>
            <div class="post__content" role="main">
                <f:render arguments="{listType: 'blog_comments'}" section="renderPlugin"/>
                <f:render arguments="{listType: 'blog_commentform'}" section="renderPlugin"/>
                <f:render arguments="{listType: 'blog_relatedposts'}" section="renderPlugin"/>
            </div>
        <f:cObject typoscriptObjectPath="lib.dynamicContent" data="{colPos: '9', slide: '-1'}" />
    </div>


</f:section>
<f:section name="Footer">

    <f:switch expression="{pagelayout}">
        <f:case value="default_1_footer"><f:render partial="Structure/OneFooterContent" arguments="{_all}" /></f:case>
        <f:case value="default_4_footer"><f:render partial="Structure/FourFooterContent" arguments="{_all}" /></f:case>
        <f:defaultCase><f:render partial="Structure/FooterContent" arguments="{_all}" /></f:defaultCase>
    </f:switch>

</f:section>
<f:section name="renderPlugin">

    {blogvh:data.contentListOptions(listType: listType)}
    <f:cObject data="{contentObjectData}" table="tt_content" typoscriptObjectPath="tt_content.list"/>

</f:section>
